import { HttpException, HttpStatus } from '@nestjs/common';
import { CreateInmuebleWebDto } from './dto/create-inmueble-web.dto';
import { InmuebleWebService } from './inmueble-web.service';
import { InmuebleWeb } from './inmueble-web.entity';
import { UpdateInmuebleWebDto } from './dto/update-inmueble-web.dto';
import { SearchInmuebleWebDto } from './dto/search-inmueble-web.dto';
export declare class InmuebleWebController {
    private inmuebleWebService;
    pathImage: string;
    private cache;
    constructor(inmuebleWebService: InmuebleWebService);
    getInmuebleAll(): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        tipoInmueble: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        };
        tipoOperacion: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            nombre_filtro: string;
            deleted_at: Date;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        };
        estadoInmueble: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        };
        nivelAmoblado: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        };
        distrito: {
            created_at: string;
            updated_at: string;
            provincia: {
                created_at: string;
                updated_at: string;
                departamento: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    codigo: string;
                    nombre: string;
                    deleted_at: Date;
                    pais_id: number;
                    pais: import("../pais/pais.entity").Pais;
                    provincia: import("../provincia/provincia.entity").Provincia[];
                };
                id: number;
                codigo: string;
                nombre: string;
                deleted_at: Date;
                departamento_id: number;
                distrito: import("../distrito/distrito.entity").Distrito[];
            };
            id: number;
            codigo: string;
            nombre: string;
            deleted_at: Date;
            provincia_id: number;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        };
        user: {
            created_at: string;
            updated_at: string;
            id: number;
            correo: string;
            password: string;
            nombre?: string;
            apellido?: string;
            token?: string;
            imagen?: string;
            telefono?: string;
            updated_at_token: Date;
            deleted_at?: Date;
            perfil_id: number;
            perfil: import("../perfil/perfil.entity").Perfil;
            inmuebles: import("../inmueble/inmueble.entity").Inmueble[];
            favoritos: import("../favoritos/favoritos.entity").Favoritos[];
            busquedas: import("../busquedas/busquedas.entity").Busquedas[];
        };
        tipoUbicacion: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        };
        galeria: {
            created_at: string;
            updated_at: string;
            id: number;
            url_desktop: string;
            url_mobile: string;
            deleted_at: Date;
            inmueble_id: number;
            inmueble: import("../inmueble/inmueble.entity").Inmueble;
        }[];
        inmuebleAreasSociales: {
            created_at: string;
            updated_at: string;
            id: number;
            deleted_at: Date;
            inmueble_id: number;
            areas_sociales_id: number;
            inmueble: import("../inmueble/inmueble.entity").Inmueble;
            areasSociales: import("../areas-sociales/areas-sociales.entity").AreasSociales;
        }[];
        inmuebleVistas: {
            created_at: string;
            updated_at: string;
            vista: {
                created_at: string;
                updated_at: string;
                tipoVista: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    nombre: string;
                    deleted_at: Date;
                    vista: import("../vista/vista.entity").Vista[];
                };
                id: number;
                nombre: string;
                deleted_at: Date;
                tipo_vista_id: number;
                inmuebleVistas: import("../inmueble-vistas/inmueble-vistas.entity").InmuebleVistas[];
            };
            id: number;
            deleted_at: Date;
            inmueble_id: number;
            vista_id: number;
            inmueble: import("../inmueble/inmueble.entity").Inmueble;
        }[];
        inmuebleEstados: {
            created_at: string;
            updated_at: string;
            id: number;
            deleted_at: Date;
            inmueble_id: number;
            estado_proyecto_id: number;
            inmueble: import("../inmueble/inmueble.entity").Inmueble;
            estadoProyecto: import("../estado-proyecto/estado-proyecto.entity").EstadoProyecto;
        }[];
        uniqueTipoVistas: any[];
        id: number;
        bathroom: number;
        dormitorios: number;
        cocheras: number;
        ambientes: number;
        mascotas: string;
        cuarto_servicio: string;
        balcon: string;
        terraza: string;
        ascensor: string;
        condominio: string;
        deposito: string;
        proyecto: string;
        areas_sociales: string;
        area: number;
        area_techada: number;
        precio: string;
        precio_mantenimiento: string;
        piso: number;
        descripcion: string;
        direccion: string;
        latitud: string;
        longitud: string;
        zoom: string;
        antiguedad: number;
        estreno: string;
        titulo: string;
        tipo_vivienda_id: number;
        tipo_operacion_id: number;
        tipo_inmueble_id: number;
        nivel_amoblado_id: number;
        distrito_id: number;
        user_id: number;
        tipo_ubicacion_id: number;
        estado_inmueble_id: number;
        deleted_at: Date;
        tipo_moneda_id: number;
        estado_id: number;
        tipoMoneda: import("../tipo-moneda/tipo-moneda.entity").TipoMoneda;
        tipoVivienda: import("../tipo-vivienda/tipo-vivienda.entity").TipoVivienda;
        estado: import("../estado/estado.entity").Estado;
        favoritos: import("../favoritos/favoritos.entity").Favoritos[];
    }[]>;
    getInmuebleTipoCambio(): Promise<any>;
    getInmuebleByUser(userid: number): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            tipoInmueble: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: import("../inmueble/inmueble.entity").Inmueble[];
            };
            tipoOperacion: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                nombre_filtro: string;
                deleted_at: Date;
                inmueble: import("../inmueble/inmueble.entity").Inmueble[];
            };
            estadoInmueble: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: import("../inmueble/inmueble.entity").Inmueble[];
            };
            nivelAmoblado: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: import("../inmueble/inmueble.entity").Inmueble[];
            };
            distrito: {
                created_at: string;
                updated_at: string;
                provincia: {
                    created_at: string;
                    updated_at: string;
                    departamento: {
                        created_at: string;
                        updated_at: string;
                        id: number;
                        codigo: string;
                        nombre: string;
                        deleted_at: Date;
                        pais_id: number;
                        pais: import("../pais/pais.entity").Pais;
                        provincia: import("../provincia/provincia.entity").Provincia[];
                    };
                    id: number;
                    codigo: string;
                    nombre: string;
                    deleted_at: Date;
                    departamento_id: number;
                    distrito: import("../distrito/distrito.entity").Distrito[];
                };
                id: number;
                codigo: string;
                nombre: string;
                deleted_at: Date;
                provincia_id: number;
                inmueble: import("../inmueble/inmueble.entity").Inmueble[];
            };
            user: {
                created_at: string;
                updated_at: string;
                id: number;
                correo: string;
                password: string;
                nombre?: string;
                apellido?: string;
                token?: string;
                imagen?: string;
                telefono?: string;
                updated_at_token: Date;
                deleted_at?: Date;
                perfil_id: number;
                perfil: import("../perfil/perfil.entity").Perfil;
                inmuebles: import("../inmueble/inmueble.entity").Inmueble[];
                favoritos: import("../favoritos/favoritos.entity").Favoritos[];
                busquedas: import("../busquedas/busquedas.entity").Busquedas[];
            };
            tipoUbicacion: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: import("../inmueble/inmueble.entity").Inmueble[];
            };
            galeria: {
                created_at: string;
                updated_at: string;
                id: number;
                url_desktop: string;
                url_mobile: string;
                deleted_at: Date;
                inmueble_id: number;
                inmueble: import("../inmueble/inmueble.entity").Inmueble;
            }[];
            inmuebleAreasSociales: {
                created_at: string;
                updated_at: string;
                id: number;
                deleted_at: Date;
                inmueble_id: number;
                areas_sociales_id: number;
                inmueble: import("../inmueble/inmueble.entity").Inmueble;
                areasSociales: import("../areas-sociales/areas-sociales.entity").AreasSociales;
            }[];
            inmuebleVistas: {
                created_at: string;
                updated_at: string;
                vista: {
                    created_at: string;
                    updated_at: string;
                    tipoVista: {
                        created_at: string;
                        updated_at: string;
                        id: number;
                        nombre: string;
                        deleted_at: Date;
                        vista: import("../vista/vista.entity").Vista[];
                    };
                    id: number;
                    nombre: string;
                    deleted_at: Date;
                    tipo_vista_id: number;
                    inmuebleVistas: import("../inmueble-vistas/inmueble-vistas.entity").InmuebleVistas[];
                };
                id: number;
                deleted_at: Date;
                inmueble_id: number;
                vista_id: number;
                inmueble: import("../inmueble/inmueble.entity").Inmueble;
            }[];
            inmuebleEstados: {
                created_at: string;
                updated_at: string;
                id: number;
                deleted_at: Date;
                inmueble_id: number;
                estado_proyecto_id: number;
                inmueble: import("../inmueble/inmueble.entity").Inmueble;
                estadoProyecto: import("../estado-proyecto/estado-proyecto.entity").EstadoProyecto;
            }[];
            uniqueTipoVistas: any[];
            id: number;
            bathroom: number;
            dormitorios: number;
            cocheras: number;
            ambientes: number;
            mascotas: string;
            cuarto_servicio: string;
            balcon: string;
            terraza: string;
            ascensor: string;
            condominio: string;
            deposito: string;
            proyecto: string;
            areas_sociales: string;
            area: number;
            area_techada: number;
            precio: string;
            precio_mantenimiento: string;
            piso: number;
            descripcion: string;
            direccion: string;
            latitud: string;
            longitud: string;
            zoom: string;
            antiguedad: number;
            estreno: string;
            titulo: string;
            tipo_vivienda_id: number;
            tipo_operacion_id: number;
            tipo_inmueble_id: number;
            nivel_amoblado_id: number;
            distrito_id: number;
            user_id: number;
            tipo_ubicacion_id: number;
            estado_inmueble_id: number;
            deleted_at: Date;
            tipo_moneda_id: number;
            estado_id: number;
            tipoMoneda: import("../tipo-moneda/tipo-moneda.entity").TipoMoneda;
            tipoVivienda: import("../tipo-vivienda/tipo-vivienda.entity").TipoVivienda;
            estado: import("../estado/estado.entity").Estado;
            favoritos: import("../favoritos/favoritos.entity").Favoritos[];
        }[];
    }>;
    getInmueble(page: number, limit: number): Promise<{
        statusCode: HttpStatus;
        message: string;
        data: {
            data: {
                created_at: string;
                updated_at: string;
                tipoInmueble: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    nombre: string;
                    deleted_at: Date;
                    inmueble: import("../inmueble/inmueble.entity").Inmueble[];
                };
                tipoOperacion: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    nombre: string;
                    nombre_filtro: string;
                    deleted_at: Date;
                    inmueble: import("../inmueble/inmueble.entity").Inmueble[];
                };
                estadoInmueble: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    nombre: string;
                    deleted_at: Date;
                    inmueble: import("../inmueble/inmueble.entity").Inmueble[];
                };
                nivelAmoblado: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    nombre: string;
                    deleted_at: Date;
                    inmueble: import("../inmueble/inmueble.entity").Inmueble[];
                };
                distrito: {
                    created_at: string;
                    updated_at: string;
                    provincia: {
                        created_at: string;
                        updated_at: string;
                        departamento: {
                            created_at: string;
                            updated_at: string;
                            id: number;
                            codigo: string;
                            nombre: string;
                            deleted_at: Date;
                            pais_id: number;
                            pais: import("../pais/pais.entity").Pais;
                            provincia: import("../provincia/provincia.entity").Provincia[];
                        };
                        id: number;
                        codigo: string;
                        nombre: string;
                        deleted_at: Date;
                        departamento_id: number;
                        distrito: import("../distrito/distrito.entity").Distrito[];
                    };
                    id: number;
                    codigo: string;
                    nombre: string;
                    deleted_at: Date;
                    provincia_id: number;
                    inmueble: import("../inmueble/inmueble.entity").Inmueble[];
                };
                user: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    correo: string;
                    password: string;
                    nombre?: string;
                    apellido?: string;
                    token?: string;
                    imagen?: string;
                    telefono?: string;
                    updated_at_token: Date;
                    deleted_at?: Date;
                    perfil_id: number;
                    perfil: import("../perfil/perfil.entity").Perfil;
                    inmuebles: import("../inmueble/inmueble.entity").Inmueble[];
                    favoritos: import("../favoritos/favoritos.entity").Favoritos[];
                    busquedas: import("../busquedas/busquedas.entity").Busquedas[];
                };
                tipoUbicacion: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    nombre: string;
                    deleted_at: Date;
                    inmueble: import("../inmueble/inmueble.entity").Inmueble[];
                };
                galeria: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    url_desktop: string;
                    url_mobile: string;
                    deleted_at: Date;
                    inmueble_id: number;
                    inmueble: import("../inmueble/inmueble.entity").Inmueble;
                }[];
                inmuebleAreasSociales: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    deleted_at: Date;
                    inmueble_id: number;
                    areas_sociales_id: number;
                    inmueble: import("../inmueble/inmueble.entity").Inmueble;
                    areasSociales: import("../areas-sociales/areas-sociales.entity").AreasSociales;
                }[];
                inmuebleVistas: {
                    created_at: string;
                    updated_at: string;
                    vista: {
                        created_at: string;
                        updated_at: string;
                        tipoVista: {
                            created_at: string;
                            updated_at: string;
                            id: number;
                            nombre: string;
                            deleted_at: Date;
                            vista: import("../vista/vista.entity").Vista[];
                        };
                        id: number;
                        nombre: string;
                        deleted_at: Date;
                        tipo_vista_id: number;
                        inmuebleVistas: import("../inmueble-vistas/inmueble-vistas.entity").InmuebleVistas[];
                    };
                    id: number;
                    deleted_at: Date;
                    inmueble_id: number;
                    vista_id: number;
                    inmueble: import("../inmueble/inmueble.entity").Inmueble;
                }[];
                inmuebleEstados: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    deleted_at: Date;
                    inmueble_id: number;
                    estado_proyecto_id: number;
                    inmueble: import("../inmueble/inmueble.entity").Inmueble;
                    estadoProyecto: import("../estado-proyecto/estado-proyecto.entity").EstadoProyecto;
                }[];
                uniqueTipoVistas: any[];
                id: number;
                bathroom: number;
                dormitorios: number;
                cocheras: number;
                ambientes: number;
                mascotas: string;
                cuarto_servicio: string;
                balcon: string;
                terraza: string;
                ascensor: string;
                condominio: string;
                deposito: string;
                proyecto: string;
                areas_sociales: string;
                area: number;
                area_techada: number;
                precio: string;
                precio_mantenimiento: string;
                piso: number;
                descripcion: string;
                direccion: string;
                latitud: string;
                longitud: string;
                zoom: string;
                antiguedad: number;
                estreno: string;
                titulo: string;
                tipo_vivienda_id: number;
                tipo_operacion_id: number;
                tipo_inmueble_id: number;
                nivel_amoblado_id: number;
                distrito_id: number;
                user_id: number;
                tipo_ubicacion_id: number;
                estado_inmueble_id: number;
                deleted_at: Date;
                tipo_moneda_id: number;
                estado_id: number;
                tipoMoneda: import("../tipo-moneda/tipo-moneda.entity").TipoMoneda;
                tipoVivienda: import("../tipo-vivienda/tipo-vivienda.entity").TipoVivienda;
                estado: import("../estado/estado.entity").Estado;
                favoritos: import("../favoritos/favoritos.entity").Favoritos[];
            }[];
            meta: {
                total: number;
                page: number;
                limit: number;
                totalPages: number;
            };
        };
    }>;
    getInmuebleById(id: number): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        tipoInmueble: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        };
        tipoOperacion: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            nombre_filtro: string;
            deleted_at: Date;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        };
        estadoInmueble: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        };
        nivelAmoblado: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        };
        distrito: {
            created_at: string;
            updated_at: string;
            provincia: {
                created_at: string;
                updated_at: string;
                departamento: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    codigo: string;
                    nombre: string;
                    deleted_at: Date;
                    pais_id: number;
                    pais: import("../pais/pais.entity").Pais;
                    provincia: import("../provincia/provincia.entity").Provincia[];
                };
                id: number;
                codigo: string;
                nombre: string;
                deleted_at: Date;
                departamento_id: number;
                distrito: import("../distrito/distrito.entity").Distrito[];
            };
            id: number;
            codigo: string;
            nombre: string;
            deleted_at: Date;
            provincia_id: number;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        };
        user: {
            created_at: string;
            updated_at: string;
            id: number;
            correo: string;
            password: string;
            nombre?: string;
            apellido?: string;
            token?: string;
            imagen?: string;
            telefono?: string;
            updated_at_token: Date;
            deleted_at?: Date;
            perfil_id: number;
            perfil: import("../perfil/perfil.entity").Perfil;
            inmuebles: import("../inmueble/inmueble.entity").Inmueble[];
            favoritos: import("../favoritos/favoritos.entity").Favoritos[];
            busquedas: import("../busquedas/busquedas.entity").Busquedas[];
        };
        tipoUbicacion: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        };
        galeria: {
            created_at: string;
            updated_at: string;
            id: number;
            url_desktop: string;
            url_mobile: string;
            deleted_at: Date;
            inmueble_id: number;
            inmueble: import("../inmueble/inmueble.entity").Inmueble;
        }[];
        inmuebleAreasSociales: {
            created_at: string;
            updated_at: string;
            id: number;
            deleted_at: Date;
            inmueble_id: number;
            areas_sociales_id: number;
            inmueble: import("../inmueble/inmueble.entity").Inmueble;
            areasSociales: import("../areas-sociales/areas-sociales.entity").AreasSociales;
        }[];
        inmuebleVistas: {
            created_at: string;
            updated_at: string;
            vista: {
                created_at: string;
                updated_at: string;
                tipoVista: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    nombre: string;
                    deleted_at: Date;
                    vista: import("../vista/vista.entity").Vista[];
                };
                id: number;
                nombre: string;
                deleted_at: Date;
                tipo_vista_id: number;
                inmuebleVistas: import("../inmueble-vistas/inmueble-vistas.entity").InmuebleVistas[];
            };
            id: number;
            deleted_at: Date;
            inmueble_id: number;
            vista_id: number;
            inmueble: import("../inmueble/inmueble.entity").Inmueble;
        }[];
        inmuebleEstados: {
            created_at: string;
            updated_at: string;
            id: number;
            deleted_at: Date;
            inmueble_id: number;
            estado_proyecto_id: number;
            inmueble: import("../inmueble/inmueble.entity").Inmueble;
            estadoProyecto: import("../estado-proyecto/estado-proyecto.entity").EstadoProyecto;
        }[];
        uniqueTipoVistas: any[];
        id: number;
        bathroom: number;
        dormitorios: number;
        cocheras: number;
        ambientes: number;
        mascotas: string;
        cuarto_servicio: string;
        balcon: string;
        terraza: string;
        ascensor: string;
        condominio: string;
        deposito: string;
        proyecto: string;
        areas_sociales: string;
        area: number;
        area_techada: number;
        precio: string;
        precio_mantenimiento: string;
        piso: number;
        descripcion: string;
        direccion: string;
        latitud: string;
        longitud: string;
        zoom: string;
        antiguedad: number;
        estreno: string;
        titulo: string;
        tipo_vivienda_id: number;
        tipo_operacion_id: number;
        tipo_inmueble_id: number;
        nivel_amoblado_id: number;
        distrito_id: number;
        user_id: number;
        tipo_ubicacion_id: number;
        estado_inmueble_id: number;
        deleted_at: Date;
        tipo_moneda_id: number;
        estado_id: number;
        tipoMoneda: import("../tipo-moneda/tipo-moneda.entity").TipoMoneda;
        tipoVivienda: import("../tipo-vivienda/tipo-vivienda.entity").TipoVivienda;
        estado: import("../estado/estado.entity").Estado;
        favoritos: import("../favoritos/favoritos.entity").Favoritos[];
    }>;
    searchInmuebles(page: number, limit: number, body: SearchInmuebleWebDto): Promise<{
        statusCode: HttpStatus;
        message: string;
        data: HttpException | {
            data: {
                created_at: string;
                updated_at: string;
                tipoInmueble: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    nombre: string;
                    deleted_at: Date;
                    inmueble: import("../inmueble/inmueble.entity").Inmueble[];
                };
                tipoOperacion: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    nombre: string;
                    nombre_filtro: string;
                    deleted_at: Date;
                    inmueble: import("../inmueble/inmueble.entity").Inmueble[];
                };
                estadoInmueble: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    nombre: string;
                    deleted_at: Date;
                    inmueble: import("../inmueble/inmueble.entity").Inmueble[];
                };
                nivelAmoblado: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    nombre: string;
                    deleted_at: Date;
                    inmueble: import("../inmueble/inmueble.entity").Inmueble[];
                };
                distrito: {
                    created_at: string;
                    updated_at: string;
                    provincia: {
                        created_at: string;
                        updated_at: string;
                        departamento: {
                            created_at: string;
                            updated_at: string;
                            id: number;
                            codigo: string;
                            nombre: string;
                            deleted_at: Date;
                            pais_id: number;
                            pais: import("../pais/pais.entity").Pais;
                            provincia: import("../provincia/provincia.entity").Provincia[];
                        };
                        id: number;
                        codigo: string;
                        nombre: string;
                        deleted_at: Date;
                        departamento_id: number;
                        distrito: import("../distrito/distrito.entity").Distrito[];
                    };
                    id: number;
                    codigo: string;
                    nombre: string;
                    deleted_at: Date;
                    provincia_id: number;
                    inmueble: import("../inmueble/inmueble.entity").Inmueble[];
                };
                user: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    correo: string;
                    password: string;
                    nombre?: string;
                    apellido?: string;
                    token?: string;
                    imagen?: string;
                    telefono?: string;
                    updated_at_token: Date;
                    deleted_at?: Date;
                    perfil_id: number;
                    perfil: import("../perfil/perfil.entity").Perfil;
                    inmuebles: import("../inmueble/inmueble.entity").Inmueble[];
                    favoritos: import("../favoritos/favoritos.entity").Favoritos[];
                    busquedas: import("../busquedas/busquedas.entity").Busquedas[];
                };
                tipoUbicacion: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    nombre: string;
                    deleted_at: Date;
                    inmueble: import("../inmueble/inmueble.entity").Inmueble[];
                };
                galeria: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    url_desktop: string;
                    url_mobile: string;
                    deleted_at: Date;
                    inmueble_id: number;
                    inmueble: import("../inmueble/inmueble.entity").Inmueble;
                }[];
                inmuebleAreasSociales: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    deleted_at: Date;
                    inmueble_id: number;
                    areas_sociales_id: number;
                    inmueble: import("../inmueble/inmueble.entity").Inmueble;
                    areasSociales: import("../areas-sociales/areas-sociales.entity").AreasSociales;
                }[];
                inmuebleVistas: {
                    created_at: string;
                    updated_at: string;
                    vista: {
                        created_at: string;
                        updated_at: string;
                        tipoVista: {
                            created_at: string;
                            updated_at: string;
                            id: number;
                            nombre: string;
                            deleted_at: Date;
                            vista: import("../vista/vista.entity").Vista[];
                        };
                        id: number;
                        nombre: string;
                        deleted_at: Date;
                        tipo_vista_id: number;
                        inmuebleVistas: import("../inmueble-vistas/inmueble-vistas.entity").InmuebleVistas[];
                    };
                    id: number;
                    deleted_at: Date;
                    inmueble_id: number;
                    vista_id: number;
                    inmueble: import("../inmueble/inmueble.entity").Inmueble;
                }[];
                inmuebleEstados: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    deleted_at: Date;
                    inmueble_id: number;
                    estado_proyecto_id: number;
                    inmueble: import("../inmueble/inmueble.entity").Inmueble;
                    estadoProyecto: import("../estado-proyecto/estado-proyecto.entity").EstadoProyecto;
                }[];
                uniqueTipoVistas: any[];
                id: number;
                bathroom: number;
                dormitorios: number;
                cocheras: number;
                ambientes: number;
                mascotas: string;
                cuarto_servicio: string;
                balcon: string;
                terraza: string;
                ascensor: string;
                condominio: string;
                deposito: string;
                proyecto: string;
                areas_sociales: string;
                area: number;
                area_techada: number;
                precio: string;
                precio_mantenimiento: string;
                piso: number;
                descripcion: string;
                direccion: string;
                latitud: string;
                longitud: string;
                zoom: string;
                antiguedad: number;
                estreno: string;
                titulo: string;
                tipo_vivienda_id: number;
                tipo_operacion_id: number;
                tipo_inmueble_id: number;
                nivel_amoblado_id: number;
                distrito_id: number;
                user_id: number;
                tipo_ubicacion_id: number;
                estado_inmueble_id: number;
                deleted_at: Date;
                tipo_moneda_id: number;
                estado_id: number;
                tipoMoneda: import("../tipo-moneda/tipo-moneda.entity").TipoMoneda;
                tipoVivienda: import("../tipo-vivienda/tipo-vivienda.entity").TipoVivienda;
                estado: import("../estado/estado.entity").Estado;
                favoritos: import("../favoritos/favoritos.entity").Favoritos[];
            }[];
            meta: {
                total: number;
                page: number;
                limit: number;
                totalPages: number;
            };
        };
    }>;
    createInmueble(newInmueble: CreateInmuebleWebDto): Promise<{
        message: string;
        status: HttpStatus;
        data: HttpException | {
            created_at: string;
            updated_at: string;
            tipoInmueble: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: import("../inmueble/inmueble.entity").Inmueble[];
            };
            tipoOperacion: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                nombre_filtro: string;
                deleted_at: Date;
                inmueble: import("../inmueble/inmueble.entity").Inmueble[];
            };
            estadoInmueble: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: import("../inmueble/inmueble.entity").Inmueble[];
            };
            nivelAmoblado: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: import("../inmueble/inmueble.entity").Inmueble[];
            };
            distrito: {
                created_at: string;
                updated_at: string;
                provincia: {
                    created_at: string;
                    updated_at: string;
                    departamento: {
                        created_at: string;
                        updated_at: string;
                        id: number;
                        codigo: string;
                        nombre: string;
                        deleted_at: Date;
                        pais_id: number;
                        pais: import("../pais/pais.entity").Pais;
                        provincia: import("../provincia/provincia.entity").Provincia[];
                    };
                    id: number;
                    codigo: string;
                    nombre: string;
                    deleted_at: Date;
                    departamento_id: number;
                    distrito: import("../distrito/distrito.entity").Distrito[];
                };
                id: number;
                codigo: string;
                nombre: string;
                deleted_at: Date;
                provincia_id: number;
                inmueble: import("../inmueble/inmueble.entity").Inmueble[];
            };
            user: {
                created_at: string;
                updated_at: string;
                id: number;
                correo: string;
                password: string;
                nombre?: string;
                apellido?: string;
                token?: string;
                imagen?: string;
                telefono?: string;
                updated_at_token: Date;
                deleted_at?: Date;
                perfil_id: number;
                perfil: import("../perfil/perfil.entity").Perfil;
                inmuebles: import("../inmueble/inmueble.entity").Inmueble[];
                favoritos: import("../favoritos/favoritos.entity").Favoritos[];
                busquedas: import("../busquedas/busquedas.entity").Busquedas[];
            };
            tipoUbicacion: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: import("../inmueble/inmueble.entity").Inmueble[];
            };
            galeria: {
                created_at: string;
                updated_at: string;
                id: number;
                url_desktop: string;
                url_mobile: string;
                deleted_at: Date;
                inmueble_id: number;
                inmueble: import("../inmueble/inmueble.entity").Inmueble;
            }[];
            inmuebleAreasSociales: {
                created_at: string;
                updated_at: string;
                id: number;
                deleted_at: Date;
                inmueble_id: number;
                areas_sociales_id: number;
                inmueble: import("../inmueble/inmueble.entity").Inmueble;
                areasSociales: import("../areas-sociales/areas-sociales.entity").AreasSociales;
            }[];
            inmuebleVistas: {
                created_at: string;
                updated_at: string;
                vista: {
                    created_at: string;
                    updated_at: string;
                    tipoVista: {
                        created_at: string;
                        updated_at: string;
                        id: number;
                        nombre: string;
                        deleted_at: Date;
                        vista: import("../vista/vista.entity").Vista[];
                    };
                    id: number;
                    nombre: string;
                    deleted_at: Date;
                    tipo_vista_id: number;
                    inmuebleVistas: import("../inmueble-vistas/inmueble-vistas.entity").InmuebleVistas[];
                };
                id: number;
                deleted_at: Date;
                inmueble_id: number;
                vista_id: number;
                inmueble: import("../inmueble/inmueble.entity").Inmueble;
            }[];
            inmuebleEstados: {
                created_at: string;
                updated_at: string;
                id: number;
                deleted_at: Date;
                inmueble_id: number;
                estado_proyecto_id: number;
                inmueble: import("../inmueble/inmueble.entity").Inmueble;
                estadoProyecto: import("../estado-proyecto/estado-proyecto.entity").EstadoProyecto;
            }[];
            uniqueTipoVistas: any[];
            id: number;
            bathroom: number;
            dormitorios: number;
            cocheras: number;
            ambientes: number;
            mascotas: string;
            cuarto_servicio: string;
            balcon: string;
            terraza: string;
            ascensor: string;
            condominio: string;
            deposito: string;
            proyecto: string;
            areas_sociales: string;
            area: number;
            area_techada: number;
            precio: string;
            precio_mantenimiento: string;
            piso: number;
            descripcion: string;
            direccion: string;
            latitud: string;
            longitud: string;
            zoom: string;
            antiguedad: number;
            estreno: string;
            titulo: string;
            tipo_vivienda_id: number;
            tipo_operacion_id: number;
            tipo_inmueble_id: number;
            nivel_amoblado_id: number;
            distrito_id: number;
            user_id: number;
            tipo_ubicacion_id: number;
            estado_inmueble_id: number;
            deleted_at: Date;
            tipo_moneda_id: number;
            estado_id: number;
            tipoMoneda: import("../tipo-moneda/tipo-moneda.entity").TipoMoneda;
            tipoVivienda: import("../tipo-vivienda/tipo-vivienda.entity").TipoVivienda;
            estado: import("../estado/estado.entity").Estado;
            favoritos: import("../favoritos/favoritos.entity").Favoritos[];
        };
    }>;
    updateInmueble(id: number, inmueble: UpdateInmuebleWebDto): Promise<HttpException | {
        data: HttpException | {
            created_at: string;
            updated_at: string;
            tipoInmueble: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: import("../inmueble/inmueble.entity").Inmueble[];
            };
            tipoOperacion: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                nombre_filtro: string;
                deleted_at: Date;
                inmueble: import("../inmueble/inmueble.entity").Inmueble[];
            };
            estadoInmueble: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: import("../inmueble/inmueble.entity").Inmueble[];
            };
            nivelAmoblado: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: import("../inmueble/inmueble.entity").Inmueble[];
            };
            distrito: {
                created_at: string;
                updated_at: string;
                provincia: {
                    created_at: string;
                    updated_at: string;
                    departamento: {
                        created_at: string;
                        updated_at: string;
                        id: number;
                        codigo: string;
                        nombre: string;
                        deleted_at: Date;
                        pais_id: number;
                        pais: import("../pais/pais.entity").Pais;
                        provincia: import("../provincia/provincia.entity").Provincia[];
                    };
                    id: number;
                    codigo: string;
                    nombre: string;
                    deleted_at: Date;
                    departamento_id: number;
                    distrito: import("../distrito/distrito.entity").Distrito[];
                };
                id: number;
                codigo: string;
                nombre: string;
                deleted_at: Date;
                provincia_id: number;
                inmueble: import("../inmueble/inmueble.entity").Inmueble[];
            };
            user: {
                created_at: string;
                updated_at: string;
                id: number;
                correo: string;
                password: string;
                nombre?: string;
                apellido?: string;
                token?: string;
                imagen?: string;
                telefono?: string;
                updated_at_token: Date;
                deleted_at?: Date;
                perfil_id: number;
                perfil: import("../perfil/perfil.entity").Perfil;
                inmuebles: import("../inmueble/inmueble.entity").Inmueble[];
                favoritos: import("../favoritos/favoritos.entity").Favoritos[];
                busquedas: import("../busquedas/busquedas.entity").Busquedas[];
            };
            tipoUbicacion: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: import("../inmueble/inmueble.entity").Inmueble[];
            };
            galeria: {
                created_at: string;
                updated_at: string;
                id: number;
                url_desktop: string;
                url_mobile: string;
                deleted_at: Date;
                inmueble_id: number;
                inmueble: import("../inmueble/inmueble.entity").Inmueble;
            }[];
            inmuebleAreasSociales: {
                created_at: string;
                updated_at: string;
                id: number;
                deleted_at: Date;
                inmueble_id: number;
                areas_sociales_id: number;
                inmueble: import("../inmueble/inmueble.entity").Inmueble;
                areasSociales: import("../areas-sociales/areas-sociales.entity").AreasSociales;
            }[];
            inmuebleVistas: {
                created_at: string;
                updated_at: string;
                vista: {
                    created_at: string;
                    updated_at: string;
                    tipoVista: {
                        created_at: string;
                        updated_at: string;
                        id: number;
                        nombre: string;
                        deleted_at: Date;
                        vista: import("../vista/vista.entity").Vista[];
                    };
                    id: number;
                    nombre: string;
                    deleted_at: Date;
                    tipo_vista_id: number;
                    inmuebleVistas: import("../inmueble-vistas/inmueble-vistas.entity").InmuebleVistas[];
                };
                id: number;
                deleted_at: Date;
                inmueble_id: number;
                vista_id: number;
                inmueble: import("../inmueble/inmueble.entity").Inmueble;
            }[];
            inmuebleEstados: {
                created_at: string;
                updated_at: string;
                id: number;
                deleted_at: Date;
                inmueble_id: number;
                estado_proyecto_id: number;
                inmueble: import("../inmueble/inmueble.entity").Inmueble;
                estadoProyecto: import("../estado-proyecto/estado-proyecto.entity").EstadoProyecto;
            }[];
            uniqueTipoVistas: any[];
            id: number;
            bathroom: number;
            dormitorios: number;
            cocheras: number;
            ambientes: number;
            mascotas: string;
            cuarto_servicio: string;
            balcon: string;
            terraza: string;
            ascensor: string;
            condominio: string;
            deposito: string;
            proyecto: string;
            areas_sociales: string;
            area: number;
            area_techada: number;
            precio: string;
            precio_mantenimiento: string;
            piso: number;
            descripcion: string;
            direccion: string;
            latitud: string;
            longitud: string;
            zoom: string;
            antiguedad: number;
            estreno: string;
            titulo: string;
            tipo_vivienda_id: number;
            tipo_operacion_id: number;
            tipo_inmueble_id: number;
            nivel_amoblado_id: number;
            distrito_id: number;
            user_id: number;
            tipo_ubicacion_id: number;
            estado_inmueble_id: number;
            deleted_at: Date;
            tipo_moneda_id: number;
            estado_id: number;
            tipoMoneda: import("../tipo-moneda/tipo-moneda.entity").TipoMoneda;
            tipoVivienda: import("../tipo-vivienda/tipo-vivienda.entity").TipoVivienda;
            estado: import("../estado/estado.entity").Estado;
            favoritos: import("../favoritos/favoritos.entity").Favoritos[];
        };
        inmuebleDto: UpdateInmuebleWebDto;
        inmuebleFound: InmuebleWeb;
        updateInmueble: InmuebleWeb & UpdateInmuebleWebDto;
        status: HttpStatus;
        message: string;
    }>;
    deleteInmueble(id: number): Promise<HttpException | import("typeorm").UpdateResult>;
}
